XFcObjectDataBuffer class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcObjectDataBuffer Class Reference

XFcObjectDataBuffer encapsulates byte buffer usage. More...

List of all members.

## Public Member Functions

void * | lock ()
| Locks the buffer.
void | unlock ()
| Unlocks the buffer.
void | setPacketSize (INT32 aPacketSize)
| Sets packet size.
void | appendPacketSize (INT32 aPacketSize)
| Appends packet size.
INT32 | sizeofPacket () const
| Gets the packet size.
INT32 | sizeofBuffer () const
| Gets buffer max size.
virtual | ~XFcObjectDataBuffer ()
| Virtual destructor.

## Static Public Member Functions

XFcObjectDataBuffer * | create (INT32 aMaxBufferSize)
| Static constructor.

## Protected Member Functions

INT32 | init (INT32 aMaxBufferSize)
| Initializes object.
| XFcObjectDataBuffer ()
| Protected constructor.

## Protected Attributes

INT32 | mDataPacketSize
| Holds packet data size.
CHAR8 * | mDataPacket
| Holds packet data.
INT32 | mMaxBufferSize
| Holds buffer max size.

## Detailed Description

XFcObjectDataBuffer encapsulates byte buffer usage.

## Constructor & Destructor Documentation

XFcObjectDataBuffer::XFcObjectDataBuffer | ( |  | ) | `[protected]`

| Protected constructor.

virtual XFcObjectDataBuffer::~XFcObjectDataBuffer | ( |  | ) | `[virtual]`

| Virtual destructor. Releases all allocated buffers.

## Member Function Documentation

void XFcObjectDataBuffer::appendPacketSize | ( | INT32 | aPacketSize | ) |

Appends packet size.

Parameters:

  aPacketSize | append value.

XFcObjectDataBuffer* XFcObjectDataBuffer::create | ( | INT32 | aMaxBufferSize | ) | `[static]`

Static constructor.

Parameters:

  aMaxBuffer | max buffer size.

Returns:
  new object if successful, or NULL if unsuccessful.

INT32 XFcObjectDataBuffer::init | ( | INT32 | aMaxBufferSize | ) | `[protected]`

Initializes object.

Parameters:

  aMaxBufferSize | max buffer size.

Returns:
  1 if successful, or 0 otherwise.

void* XFcObjectDataBuffer::lock | ( |  | ) |

Locks the buffer.

Returns:
  pointer to locked buffer.

void XFcObjectDataBuffer::setPacketSize | ( | INT32 | aPacketSize | ) |

Sets packet size.

Parameters:

  aPacketSize | packet size.

INT32 XFcObjectDataBuffer::sizeofBuffer | ( |  | ) | const

Gets buffer max size.

Returns:
  size of locked buffer.

INT32 XFcObjectDataBuffer::sizeofPacket | ( |  | ) | const

Gets the packet size.

Returns:
  packet size inside buffer.

void XFcObjectDataBuffer::unlock | ( |  | ) |

| Unlocks the buffer.

## Member Data Documentation

CHAR8* XFcObjectDataBuffer::mDataPacket`[protected]`

| Holds packet data.

INT32 XFcObjectDataBuffer::mDataPacketSize`[protected]`

| Holds packet data size.

INT32 XFcObjectDataBuffer::mMaxBufferSize`[protected]`

| Holds buffer max size.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch